h2   {color:white}
p    {color:white}

body, html {
    height: 100%;
    background-repeat: no-repeat;
    background-image: linear-gradient(180deg, rgba(111,35,126,1) 0%, rgba(111,35,126,0.8) 40%, rgba(255,255,255,1) 100%, rgba(255,255,255,1) 100%);
    /*background: url(https://www.latorreycia.cl/wp-content/uploads/2018/01/840809-popular-email-wallpapers-1920x1080.jpg) no-repeat center center fixed; /*http://lorempixel.com/1920/1920/city/9/)*/
    /*background: url(../../../images/fondot.jpg) no-repeat center center fixed; /*http://lorempixel.com/1920/1920/city/9/)*/
    background-size: 100% 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

body, html {

  /*background-color: #ffffff;*/
  overflow: hidden;
}

.fullscreen-button {
  position: fixed;
  top: 0;
  right: 0;
  margin: 10px;
}


.waves {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  z-index: -1;
}

.wave {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: repeat-x;
  background-size: 50% 50px;
  background-position: 0 bottom;
  transform-origin: center bottom;
  animation: wave 5s linear infinite;
}

.wave:nth-child(1) {
  animation-delay: -0.7s;
  background-image: linear-gradient(-45deg, transparent 20%, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0.5) 40%, transparent 40%, transparent 60%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0.5) 80%, transparent 80%, transparent);
}

.wave:nth-child(2) {
  animation-delay: -0.5s;
  background-image: linear-gradient(-45deg, transparent 20%, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0.5) 40%, transparent 40%, transparent 60%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0.5) 80%, transparent 80%, transparent);
}

.wave:nth-child(3) {
  animation-delay: -0.3s;
  background-image: linear-gradient(-45deg, transparent 20%, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0.5) 40%, transparent 40%, transparent 60%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0.5) 80%, transparent 80%, transparent);
}

.wave:nth-child(4) {
  animation-delay: -0.1s;
  background-image: linear-gradient(-45deg, transparent 20%, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0.5) 40%, transparent 40%, transparent 60%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0.5) 80%, transparent 80%, transparent);
}

.wave:nth-child(5) {
  animation-delay: 0s;
  background-image: linear-gradient(-45deg, transparent 20%, rgba(255, 255, 255, 0.5) 20%, rgba(255, 255, 255, 0.5) 40%, transparent 40%, transparent 60%, rgba(255, 255, 255, 0.5) 60%, rgba(255, 255, 255, 0.5) 80%, transparent 80%, transparent);

}




.btn {
    font-weight: 700;
    font-size: 1.1rem !important;
    height: 36px;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    cursor: default;
}

/*
 * Card component
 */
.card {
    /*background-color: #F7F7F7;*/
    width: 400px;
    /* just in case there no content*/
    padding: 20px 30px;
    /* shadows and rounded borders */
    -moz-border-radius: 20px;
    -webkit-border-radius: 20px;
    border-radius: 20px;
    -moz-box-shadow: 2px 3px 4px rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: 2px 3px 4px rgba(0, 0, 0, 0.3);
    box-shadow: 2px 3px 4px rgba(0, 0, 0, 0.3);
}

.profile-img-card {
    width: 180px;
    height: 160px;
    /*background-color: #404040;*/
    margin:0px auto -10px;
    overflow: hidden;
    /*display: flex;
    align-items: center;
    justify-content: center;*/
    display: block;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}
#profile-img{
    margin:0 auto 2px;
    display: block;
    width: 85%;
    height: 85%;
    object-fit: contain;
}

.login-logo, #date, #time{
    margin: 1px;
    padding: 1px;
    color: #fff !important;
    font-size:25px;
    font-weight: bold;
}
.login-card-msg{
    margin: 1px;
    padding: 1px;

    font-size:20px;
    font-weight: bold;    
}
/*
 * Form styles
 */
.profile-name-card {
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    margin: 10px 0 0;
    min-height: 1em;
}

.reauth-email {
    display: block;
    color: #404040;
    line-height: 2;
    margin-bottom: 10px;
    font-size: 14px;
    text-align: center;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}



.form-signin .form-control:focus {
    border-color: rgb(104, 145, 162);
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgb(104, 145, 162);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgb(104, 145, 162);
}

.btn.btn-signin {
    /*background-color: #4d90fe; */
    background-color: rgb(41, 128, 185);
    /* background-color: linear-gradient(rgb(104, 145, 162), rgb(12, 97, 33));*/
    padding: 0px;
    font-weight: 700;
    font-size: 14px;
    height: 36px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: none;
    -o-transition: all 0.218s;
    -moz-transition: all 0.218s;
    -webkit-transition: all 0.218s;
    transition: all 0.218s;
}
.btn.btn-signin:focus{
    background-color: rgb(84, 153, 199);
    cursor: pointer;
}
.btn.btn-signin:hover{
    cursor: pointer !important;
}

.forgot-password {
    color: rgb(104, 145, 162);
}

.forgot-password:hover,
.forgot-password:active,
.forgot-password:focus{
    color: rgb(12, 97, 33);
}


/* Clase para la animación de entrada */
.fade-in {
    animation: fadeIn 0.5s ease-in-out;
}

/* Clase para la animación de salida */
.fade-out {
    animation: fadeOut 0.5s ease-in-out forwards;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
        transform: translateY(-10px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
        transform: translateY(0);
    }
    100% {
        opacity: 0;
        transform: translateY(-10px);
    }
}